<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta charset="utf-8" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="pandoc" />


<meta name="author" content="Monica Abrudan" />


<title>Barplot with AMR profile based on Pathogen.watch ouput</title>

<script src="site_libs/jquery-1.11.3/jquery.min.js"></script>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link href="site_libs/bootstrap-3.3.5/css/bootstrap.min.css" rel="stylesheet" />
<script src="site_libs/bootstrap-3.3.5/js/bootstrap.min.js"></script>
<script src="site_libs/bootstrap-3.3.5/shim/html5shiv.min.js"></script>
<script src="site_libs/bootstrap-3.3.5/shim/respond.min.js"></script>
<script src="site_libs/navigation-1.1/tabsets.js"></script>
<link href="site_libs/highlightjs-9.12.0/default.css" rel="stylesheet" />
<script src="site_libs/highlightjs-9.12.0/highlight.js"></script>

<style type="text/css">code{white-space: pre;}</style>
<style type="text/css">
  pre:not([class]) {
    background-color: white;
  }
</style>
<script type="text/javascript">
if (window.hljs) {
  hljs.configure({languages: []});
  hljs.initHighlightingOnLoad();
  if (document.readyState && document.readyState === "complete") {
    window.setTimeout(function() { hljs.initHighlighting(); }, 0);
  }
}
</script>



<style type="text/css">
h1 {
  font-size: 34px;
}
h1.title {
  font-size: 38px;
}
h2 {
  font-size: 30px;
}
h3 {
  font-size: 24px;
}
h4 {
  font-size: 18px;
}
h5 {
  font-size: 16px;
}
h6 {
  font-size: 12px;
}
.table th:not([align]) {
  text-align: left;
}
</style>




<style type = "text/css">
.main-container {
  max-width: 940px;
  margin-left: auto;
  margin-right: auto;
}
code {
  color: inherit;
  background-color: rgba(0, 0, 0, 0.04);
}
img {
  max-width:100%;
  height: auto;
}
.tabbed-pane {
  padding-top: 12px;
}
.html-widget {
  margin-bottom: 20px;
}
button.code-folding-btn:focus {
  outline: none;
}
summary {
  display: list-item;
}
</style>


<style type="text/css">
/* padding for bootstrap navbar */
body {
  padding-top: 51px;
  padding-bottom: 40px;
}
/* offset scroll position for anchor links (for fixed navbar)  */
.section h1 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h2 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h3 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h4 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h5 {
  padding-top: 56px;
  margin-top: -56px;
}
.section h6 {
  padding-top: 56px;
  margin-top: -56px;
}
.dropdown-submenu {
  position: relative;
}
.dropdown-submenu>.dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  border-radius: 0 6px 6px 6px;
}
.dropdown-submenu:hover>.dropdown-menu {
  display: block;
}
.dropdown-submenu>a:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  border-width: 5px 0 5px 5px;
  border-left-color: #cccccc;
  margin-top: 5px;
  margin-right: -10px;
}
.dropdown-submenu:hover>a:after {
  border-left-color: #ffffff;
}
.dropdown-submenu.pull-left {
  float: none;
}
.dropdown-submenu.pull-left>.dropdown-menu {
  left: -100%;
  margin-left: 10px;
  border-radius: 6px 0 6px 6px;
}
</style>

<script>
// manage active state of menu based on current page
$(document).ready(function () {
  // active menu anchor
  href = window.location.pathname
  href = href.substr(href.lastIndexOf('/') + 1)
  if (href === "")
    href = "index.html";
  var menuAnchor = $('a[href="' + href + '"]');

  // mark it active
  menuAnchor.parent().addClass('active');

  // if it's got a parent navbar menu mark it active as well
  menuAnchor.closest('li.dropdown').addClass('active');
});
</script>

<!-- tabsets -->

<style type="text/css">
.tabset-dropdown > .nav-tabs {
  display: inline-table;
  max-height: 500px;
  min-height: 44px;
  overflow-y: auto;
  background: white;
  border: 1px solid #ddd;
  border-radius: 4px;
}

.tabset-dropdown > .nav-tabs > li.active:before {
  content: "";
  font-family: 'Glyphicons Halflings';
  display: inline-block;
  padding: 10px;
  border-right: 1px solid #ddd;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open > li.active:before {
  content: "&#xe258;";
  border: none;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open:before {
  content: "";
  font-family: 'Glyphicons Halflings';
  display: inline-block;
  padding: 10px;
  border-right: 1px solid #ddd;
}

.tabset-dropdown > .nav-tabs > li.active {
  display: block;
}

.tabset-dropdown > .nav-tabs > li > a,
.tabset-dropdown > .nav-tabs > li > a:focus,
.tabset-dropdown > .nav-tabs > li > a:hover {
  border: none;
  display: inline-block;
  border-radius: 4px;
}

.tabset-dropdown > .nav-tabs.nav-tabs-open > li {
  display: block;
  float: none;
}

.tabset-dropdown > .nav-tabs > li {
  display: none;
}
</style>

<script>
$(document).ready(function () {
  window.buildTabsets("TOC");
});

$(document).ready(function () {
  $('.tabset-dropdown > .nav-tabs > li').click(function () {
    $(this).parent().toggleClass('nav-tabs-open')
  });
});
</script>

<!-- code folding -->




</head>

<body>


<div class="container-fluid main-container">




<div class="navbar navbar-default  navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="index.html">R examples</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="data_joining_2.html">Refining/merging data from Pathogen Watch</a>
</li>
<li>
  <a href="plot_AMR_profiles_per_ST.html">Plot AMR profiles</a>
</li>
<li>
  <a href="data_joining_1.html">Manipulating AMR metadata</a>
</li>
<li>
  <a href="Kpn_concordance_analysis.html">Kpn pathogen watch concordance</a>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

<div class="fluid-row" id="header">



<h1 class="title toc-ignore">Barplot with AMR profile based on Pathogen.watch ouput</h1>
<h4 class="author">Monica Abrudan</h4>

</div>


<div id="append-a-column-with-amr-profile-to-the-profile.csv-generated-with-pathogen.watch" class="section level3">
<h3>Append a column with AMR profile to the profile.csv generated with Pathogen.watch</h3>
<pre class="r"><code>library(stringr)
profile &lt;- read.csv (file=&quot;data/plot_AMR_profiles/profile.csv&quot;)
profile[] &lt;- lapply(profile, as.character)

ant_concatenation  &lt;- array(0, dim=nrow(profile))

for (i in 1:nrow(profile) ){
  conc &lt;-&#39;&#39;
  for (j in 2:ncol(profile) ){
    if (is.na (profile[i,j]) ==FALSE){
      if (profile[i,j] == 1) {
        conc &lt;- paste(conc, colnames(profile)[j])
      }
    }
  }
  ant_concatenation[i] &lt;- conc
}
profile &lt;- cbind(profile, ant_concatenation)
colnames(profile)[ncol(profile)] &lt;- &quot;AMR_profile&quot;</code></pre>
</div>
<div id="read-mlst-profiles-from-the-typing.csv-file-generated-with-pathogen.watch" class="section level3">
<h3>Read MLST profiles from the typing.csv file generated with Pathogen.watch</h3>
<pre class="r"><code>library(stringr)
mlst &lt;- read.csv (file=&quot;data/plot_AMR_profiles/typing.csv&quot;)
mlst[] &lt;- lapply(mlst, as.character)

for (i in 1:nrow(mlst)){
  if (str_length(mlst[i,&quot;MLST.ST..PubMLST.&quot;]) &gt; 4){
    mlst[i,&quot;MLST.ST..PubMLST.&quot;] &lt;- as.character(mlst[i,&quot;MLST.ST..PubMLST.&quot;])
    mlst[i,&quot;MLST.ST..PubMLST.&quot;]=&quot;Novel&quot;
  }
}</code></pre>
</div>
<div id="merge-the-two-tables-and-make-a-histogram-to-show-different-amr-profiles-for-each-st" class="section level3">
<h3>Merge the two tables and make a histogram to show different AMR profiles for each ST</h3>
<pre class="r"><code>data &lt;- merge(profile, mlst, by.x=&#39;NAME&#39; , by.y=&#39;NAME&#39;, all.x = T, all.y=F)

# Select only the AMR_profile and the MLST columns, and generate a counts table 
d &lt;- data[,c(&quot;AMR_profile&quot;,&quot;MLST.ST..PubMLST.&quot;)]
d&lt;-table(d)
d&lt;-as.data.frame(d)
colnames(d)[1] &lt;- &quot;AMR_profile&quot;
colnames(d)[2] &lt;- &quot;ST&quot;

### Filter in only the AMR profiles that are present in more than .02 of the isolates
filtered_d &lt;- NULL
for (i in 1:length(levels(d$AMR_profile))) {
  if (sum (d[d$AMR_profile == levels(d$AMR_profile)[i], &quot;Freq&quot;]) &gt; (.02*nrow(data)) ){
    filtered_d &lt;- rbind(filtered_d, d[d$AMR_profile == levels(d$AMR_profile)[i],])
  }
}

filtered_d &lt;- filtered_d[filtered_d$Freq!=0,]

library(ggplot2)
library(&quot;RColorBrewer&quot;)
mypalette&lt;-brewer.pal(10,&quot;Spectral&quot;)

g &lt;-ggplot(filtered_d, aes(fill=AMR_profile, y=Freq, x=ST)) + geom_bar(position=&quot;stack&quot;, stat=&quot;identity&quot;)
g1 &lt;- g + theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = &quot;black&quot;))
g2 &lt;- g1 + theme(axis.text.x = element_text(angle = 90, hjust = 1))
g3 &lt;- g2 + scale_fill_manual(values=mypalette)
g3</code></pre>
<p><img src="plot_AMR_profiles_per_ST_files/figure-html/unnamed-chunk-3-1.png" width="672" /></p>
</div>




</div>

<script>

// add bootstrap table styles to pandoc tables
function bootstrapStylePandocTables() {
  $('tr.header').parent('thead').parent('table').addClass('table table-condensed');
}
$(document).ready(function () {
  bootstrapStylePandocTables();
});


</script>

<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    script.src  = "https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML";
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>

</body>
</html>
